Redhat9を使用しています。あるソフトがコンパイルできなくて困っていますが、gcc-2ならコンパイルできるのかもしれません。(現在gcc-3.2.2.5が入っています)この環境にgcc-2.9xを入れたいのですが、どうしたらよいでしょうか。redhatの以前のバージョンからgcc-2.9xをダウンロードしてきて入れればいいのかもしれませんが、gcc-3.2と共存させたいです。

回答の条件
  • URL必須
  • 1人2回まで
  • 登録:2003/07/22 15:22:22
  • 終了:--

回答(2件)

id:erminus No.1

erminus回答回数33ベストアンサー獲得回数02003/07/22 17:19:05

ポイント10pt

Solarisの場合ですが参考にはなると思います。ただし,これはソースからのmakeですが。

基本的なポイントは以下の通りです。

1. configureの際のprefix(インストール先のPATH)を/usr,/usr/local以外にする。

2. 2.9x系を使うときは,gccの実行ファイルがあるディレクトリにPATHを通す。

3. makeしたファイルを実行する際,必要に応じて,LD_LIBRARY_PATHを設定する。

役にたたない情報だったらポイントはいりません。

id:kaerukerojet

/usr/localにすればインストールはできますが、よくディストリビューションによってはgcc-2という名前で2.9x系を使えたりしますよね...そんな風にしたいなぁと思っていたんですが(つまり、LD_LIBRARY_PATHを切り替えたりしないで使う方法なのですが)...

2003/07/22 17:38:05
id:peo3 No.2

peo3回答回数9ベストアンサー獲得回数12003/07/22 17:31:15

ポイント40pt

ftp://ftp.kddlabs.co.jp/pub/Linux/packages/RedHat/redhat/lin...

というgcc-2.96のパッケージがあります.これをインストールして,後はコンパイルのときに/usr/bin/gcc296を指定してやれば良いかと思います.

id:kaerukerojet

こ、これですかね。やってみます。ありがとうございました。

2003/07/22 17:39:10

コメントはまだありません

この質問への反応(ブックマークコメント)

「あの人に答えてほしい」「この質問はあの人が答えられそう」というときに、回答リクエストを送ってみてましょう。

これ以上回答リクエストを送信することはできません。制限について

絞り込み :
はてなココの「ともだち」を表示します。
回答リクエストを送信したユーザーはいません